# coding: utf-8

#  -----------------------------------------------------------------------------------------
#  (C) Copyright IBM Corp. 2023-2024.
#  https://opensource.org/licenses/BSD-3-Clause
#  -----------------------------------------------------------------------------------------

from pprint import pformat
from six import iteritems
import re


class BatchDeployOutput(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, meta=None, entity=None):
        """
        BatchDeployOutput - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'meta': 'BatchDeployOutputMeta',
            'entity': 'BatchDeployOutputEntity'
        }

        self.attribute_map = {
            'meta': 'meta',
            'entity': 'entity'
        }

        self._meta = meta
        self._entity = entity

    @property
    def meta(self):
        """
        Gets the meta of this BatchDeployOutput.


        :return: The meta of this BatchDeployOutput.
        :rtype: BatchDeployOutputMeta
        """
        return self._meta

    @meta.setter
    def meta(self, meta):
        """
        Sets the meta of this BatchDeployOutput.


        :param meta: The meta of this BatchDeployOutput.
        :type: BatchDeployOutputMeta
        """

        self._meta = meta

    @property
    def entity(self):
        """
        Gets the entity of this BatchDeployOutput.


        :return: The entity of this BatchDeployOutput.
        :rtype: BatchDeployOutputEntity
        """
        return self._entity

    @entity.setter
    def entity(self, entity):
        """
        Sets the entity of this BatchDeployOutput.


        :param entity: The entity of this BatchDeployOutput.
        :type: BatchDeployOutputEntity
        """

        self._entity = entity

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
